<?php
date_default_timezone_set('America/Costa_Rica');

include('../conexion.php');
session_start();

 $usu=$_SESSION['username'];
 
 
	if($_SESSION['tipo_usu']=='a' or $_SESSION['tipo_usu']=='u'  or $_SESSION['tipo_usu']=='c'){
		}else{
			header('location:acceso_denegado.php');
		}
		

$hoy=date("d/m/Y");


$sel_fact="INSERT INTO facturastmp_compras (codfactura,fecha) VALUE ('',$hoy)";
$mysqli->query($sel_fact);
$codfacturatmp=$mysqli-> insert_id ; 


$consulta6 = "DELETE FROM  factulineatmp_compra  WHERE codfactura ='$codfacturatmp'";
$mysqli->query($consulta6);

		
$consulta1 = "DELETE FROM facturastmp_compras WHERE codfactura!='$codfacturatmp'";
$mysqli->query($consulta1);


?>
<html>
	<head>
		<title>Principal</title>
		
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<link href="../calendario/calendar-blue.css" rel="stylesheet" type="text/css">
        
        
		<script src="../jquery/jquery-1.3.2.js" type="text/javascript"></script>
		<script src="../jquery/jquery.maskedinput-1.2.2.js" type="text/javascript"></script>
        
        <script src="jquery.js" type="text/javascript"></script>
		<script src="jquery.maskedinput.js" type="text/javascript"></script>
        
		<script type="text/JavaScript" language="javascript" src="../calendario/calendar.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/lang/calendar-sp.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/calendar-setup.js"></script>
    
	
	<script type="text/javascript" src="../JsInputMask-master/input-mask.js" ></script>

	<script language="javascript">
	


	
	
	
//nombre del primer campo en la secuencia
siguienteCampo = ""
//nombre del formlario
nombreForm = ""

//funcion que gestiona el evento
function TelcaPulsada1( e ) {

   if ( window.event != null)				//IE4+
      tecla = window.event.keyCode;
   else if ( e != null ) 				//N4+ o W3C compatibles
      tecla = e.which;
   else
      return;
	
   if (tecla == 13) { 					//se pulso enter
      if ( siguienteCampo == 'fin' ) {			//fin de la secuencia, hace el submit
        validar();		//eliminar este alert para uso normal
         return false					//sustituir por return true para hacer el submit
      } else { 						//da el foco al siguiente campo
         eval('document.' + nombreForm + '.' + siguienteCampo + '.select()')
         return false
      }
   }
}

document.onkeydown = TelcaPulsada1;			//asigna el evento pulsacion tecla a la funcion
if (document.captureEvents)				//netscape es especial: requiere activar la captura del evento
	document.captureEvents(Event.KEYDOWN)
	

		
		

	

	 
		var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}
		
		var miPopup
		function abreVentana(){
			miPopup = window.open("ver_proveedores.php","miwin","width=900,height=650,scrollbars=yes");
			miPopup.focus();
				document.getElementById("fecfac").focus();
				document.getElementById("fecfac").select();
			validarfactura();
		}
		
		
		
			function validarfactura(){
			
			var numfac=document.getElementById("numfac").value;
			var cdgpro=document.getElementById("cdgpro").value;


			miPopup = window.open("Comprobar_Factura.php?numfac="+numfac+"&cdgpro="+cdgpro, "frame_datos3","width=900,height=90,scrollbars=yes");
			
				document.getElementById("numfac").value="";
				document.getElementById("cdgpro").focus();
				document.getElementById("cdgpro").select();
				}
			
		
		function ventanaArticulos(){
			var codigo=document.getElementById("cdgpro").value;
			if (codigo=="") {
				alert ("Debe introducir el codigo del proveedor");
			} else {
				miPopup = window.open("ver_articulos2.php","miwin","width=900,height=650,scrollbars=yes");
				actualizar_importe ();
			}
		}
	
	
		
					
		
		function validarproveedor(){
			var codigo=document.getElementById("cdgpro").value;
		  
			miPopup = window.open("comprobarproveedor.php?cdgpro="+codigo,"frame_datos1","width=900,height=90,scrollbars=yes");
			miPopup.focus();
			document.getElementById("fecfac").focus();
			document.getElementById("fecfac").select();
		
		}
		
			function validararticulo(){
			
			
			var cdgpro=document.getElementById("cdgpro").value;
			if (cdgpro=="") {
				alert ("Debe introducir el codigo del Proveedor antes de continuar");
					document.getElementById("cdgbar").value="";
					document.getElementById("cdgpro").focus();
					
					
				
			} else {
			var codigo=document.getElementById("cdgbar").value;
			
			miPopup = window.open("comprobararticulo_barras.php?cdgbar="+codigo,"frame_datos2","width=900,height=90,scrollbars=yes");
		}
		}	
		
		function cancelar() {
			location.href="index.php";
		}
		
		function limpiarcaja() {
			document.getElementById("dscpro").value="";
			document.getElementById("cedpro").value="";
		}
		
		
		
		
		
			function limpiararticulo() {
			document.getElementById("cdgbar").value="";
			document.getElementById("canart").value="";
			document.getElementById("dscart").value="";
			document.getElementById("cosart").value="";
			document.getElementById("utiart1").value="";
			document.getElementById("utiart2").value="";			
			document.getElementById("desfac").value="";
			document.getElementById("despro").value="";
			document.getElementById("desfac").value="";
			document.getElementById("cob_iv").value="";
			document.getElementById("importe").value="";
			document.getElementById("PRE001").value="";
			document.getElementById("PRE002").value="";
			document.getElementById("importe").value="";
			document.getElementById("cdglin").value="";	
			document.getElementById("cdgfam").value="";	
			document.getElementById("ivporc").value="";	
			document.getElementById("impuesto_producto").value="";
			document.getElementById("impuesto_factura").value="";
			document.getElementById("descuento_producto").value="";
			document.getElementById("descuento_factura").value="";
			
		}
		
	
	
		function calcular_factura()
		{
		
			
				document.getElementById("totfac").value="";
				
					var impfac=document.getElementById("impfac").value;
					var subexe=document.getElementById("subexe").value;
					var subgra=document.getElementById("subgra").value;
					var desfactot=document.getElementById("desfactot").value;
					var flefac=document.getElementById("flefac").value;
					var otrfac=document.getElementById("otrfac").value;
	
				
				
  if (subexe==""){ subexe=0; document.getElementById("subexe").value=0.00;} else { subexe2= subexe.replace(",","");   subexe= subexe2.replace(",","");} ;
  if (subgra==""){ subgra=0; document.getElementById("subgra").value=0.00;} else { subgra2= subgra.replace(",","");   subgra= subgra2.replace(",","");} ;
  if (impfac==""){ impfac=0; document.getElementById("impfac").value=0.00;} else { impfac= impfac.replace(",",""); } ;
  if (desfactot==""){desfactot=0; document.getElementById("desfactot").value=0.00;}  else { desfactot= desfactot.replace(",",""); } ;
  if (flefac==""){flefac=0; document.getElementById("flefac").value=0.00;}  else { flefac= flefac.replace(",",""); } ;
  if (otrfac==""){otrfac=0; document.getElementById("otrfac").value=0.00;}  else { otrfac= otrfac.replace(",",""); } ;

					
				
	totfac= (parseFloat(subgra)+parseFloat(subexe)-parseFloat(desfactot)+parseFloat(impfac)+parseFloat(flefac)+parseFloat(otrfac));
				
	
				var original=parseFloat(totfac);
				//var result=Math.round(original*100)/100 ;
				
				document.getElementById("totfac").value=original;
		
		
		}

			
			
			
	
			
		function validar_cabecera()
			{
			
	if (confirm(" Factura Completa ? "))
			
	var mensaje="";
	if (document.getElementById("cdgpro").value=="") mensaje+="  - Codigo proveedor\n"; enfoque="cdgpro";
	if (document.getElementById("dscpro").value=="") mensaje+="  - Nombre del proveedor\n"; enfoque="dscpro";
	if (document.getElementById("fecfac").value=="") mensaje+="  - Fecha de factura\n"; enfoque="fecfac";
	if (document.getElementById("fecpro").value=="") mensaje+="  - Fecha de proceso\n"; enfoque="fecpro";
	if (document.getElementById("totfac").value=="") mensaje+="  - Total de la factura\n"; enfoque="totfac";
	if (document.getElementById("numfac").value=="") mensaje+="  - Numero de la factura\n"; enfoque="numfac";
			
		
				if (mensaje!="") {
					alert("Atencion, Los siguientes campos son obligatorios:\n\n"+mensaje);
						document.getElementById(enfoque).select();
				} else {
			     	dscpro.disabled=false;
					document.getElementById("formulario").submit();
						
				}
			}
			
			
		
		function validar() 
			{
			
			
				var mensaje="";
				var mensaje="";
				var entero=0;
				var enteroo=0;
		         
		
if (document.getElementById("cdgbar").value=="") mensaje="  - Código de articulo\n";  enfoque="cdgbar";
if (document.getElementById("dscart").value=="") mensaje+="  - Descripción del articulo\n";  enfoque="dscart";
				
				if (document.getElementById("canart").value=="") 
						{ 
					     enfoque="canart";
						mensaje+="  - Falta la cantidad\n";
						
						} else {
							entero=document.getElementById("canart").value;
							if (isNaN(entero)==true) {
								mensaje+="  - La cantidad debe ser numerica\n";
								  enfoque="canart";
							} else {
									document.getElementById("canart").value=entero;
								}
						}
				
			
	
				if (mensaje!="") {
					alert("Atencion, los siguientes campos son necesarios:\n\n"+mensaje);
					//	document.getElementById(enfoque).select();
				} else {
					dscart.disabled=false;
					document.getElementById("formulario_lineas").submit();
					document.getElementById("cdgbar").value="";
					document.getElementById("canart").value="1.00";
					document.getElementById("dscart").value="";
					document.getElementById("cdgbar").select();
					dscart.disabled=true;
				}
			}
			



		 function comprobar_fechas(){

/////////////////////////////////////////////  invierte la fecha a xxxx-xx-xx ////////////////////////////////	  
		  
	  var parts = document.getElementById("fecfac").value.split(/-/);
		parts.reverse();
		fecfac=parts.join('-');
		
	  var parts = document.getElementById("fecpro").value.split(/-/);
		parts.reverse();
		fecpro=parts.join('-');
		

	
//////////////////////////////////////  convierte la fecha a formato date para ser comparado /////////////////////////	

	 date1 = new Date(fecfac);
	 date2 = new Date(fecpro); 
		 
	var f1 = new Date();
	var f2 = new Date(date1); //31 de diciembre de 2015
	var f3 = new Date(date2);
	f1.setHours(0,0,0,0);
	f2.setHours(0,0,0,0);
	f3.setHours(0,0,0,0);

////////////////////////////////////////// compara las fechas ///////////////////////////////////////////////////////
	
	if (fecfac !=""){
		
		
		 var fechaArr = fecfac.split('-');
 var aho = fechaArr[0];
 var mes = fechaArr[1];
 var dia = fechaArr[2];
 
 var plantilla = new Date(aho, mes - 1, dia);//mes empieza de cero Enero = 0
 if(!plantilla || plantilla.getFullYear() == aho && plantilla.getMonth() == mes -1 && plantilla.getDate() == dia){
		
	if (f2.getTime() > f1.getTime()){
	 alert("la Fecha de la factura no puede ser mayor a la Actual ");
	document.getElementById("fecfac").value="";
	document.getElementById("fecfac").select();
	}

 }else{
  alert("Error fecha de factura incorrecta favor verifique");
  document.getElementById("fecfac").value="";
  document.getElementById("fecfac").select();
 }
 
	}
	
	
	
	if (fecpro !=""){	
	
	 
  var fechaArr = fecpro.split('-');
 var aho = fechaArr[0];
 var mes = fechaArr[1];
 var dia = fechaArr[2];
 
 var plantilla = new Date(aho, mes - 1, dia);//mes empieza de cero Enero = 0
 if(!plantilla || plantilla.getFullYear() == aho && plantilla.getMonth() == mes -1 && plantilla.getDate() == dia){
 	
	
	if (f3.getTime() > f1.getTime()){
	 alert("la Fecha de proceso no puede ser mayor a la Actual ");
	document.getElementById("fecpro").value="";
	document.getElementById("fecpro").select();;
	}
 
 
 }else{
  alert("Error fecha proceso incorrecta favor verifique");
  document.getElementById("fecpro").value="";
  document.getElementById("fecpro").select();
 }
	

	}
	

	}
	
	
	
jQuery(function($){	
		$("#fecfac").mask("99-99-9999");
		$("#fecpro").mask("99-99-9999");
		});

	///////////////////////////////////////////////// Funcion siguiente campo formulario lineas  ///////////////////////////////////////////
	
  		 



				function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}

function inicio() {	

		document.getElementById("cdgpro").focus();

		
		
		}
////////////////////////////////////////////////////////
		</script>
	    <style type="text/css">
<!--
.Estilo1 {color: #0000CC}
-->
        </style>
</head>
		<body onLoad=" inicio();  nobackbutton();">
		<div id="">
			<div id="zonaVentanasCompras">
				<div align="center">
					<div class="contenidoFactura2">
				<form id="formulario" name="formulario" method="post" action="guardar_compra_barras.php">
				  <table class="fuente8" width="100%" cellspacing=2 cellpadding=0 border=0>
                    <tr>
                      <td width="6%">&nbsp;</td>
                      <td><div align="right"></div></td>
                      <td colspan="7">&nbsp;</td>
                      <td>&nbsp;</td>
                      <td colspan="3"><div align="center" class="Estilo1"></div></td>
                      <td colspan="4"><div align="center"><span class="Estilo1">MODULO COMPRAS </span></div></td>
                    </tr>
                    <tr>
                      <td><img src="../img/Search_Male_User_Icon_32.png" width="25" height="27" title="Buscar proveedor"  onClick="abreVentana()" onMouseOver="style.cursor=cursor"></td>
                      <td><input name="cdgpro" type="text" class="cajaGrande" id="cdgpro"   click="limpiarcaja()" style='text-align:center;' onChange="validarproveedor(),validarfactura()" autocomplete= "off"   onFocus=" siguienteCampo ='subexe', nombreForm ='formulario';"></td>
                      <td colspan="7"><input name="dscpro" type="text" class="cajaGrande" id="dscpro"  maxlength="45" disabled=true  autocomplete= "off"   onFocus="siguienteCampo ='vehpla';"></td>
                      <input NAME="cdgprofac" class="cajaMedia" id="cdgprofac"   type="hidden" >
                      <input NAME="limcre" class="cajaMedia" id="limcre"  type="hidden"    >
                      <input NAME="salact" class="cajaMedia" id="salact"  type="hidden"    >
					     <input id="codfactura" name="codfactura" value="<?php echo $codfacturatmp?>" type="hidden">
                      <td><div align="center">Credito</div></td>
                      <td width="9%"><select id="combotipoventa" name="combotipoventa" class="comboGrande"  onFocus="siguienteCampo ='kmsveh';">
                        <?php
					  			  	$tipo="SELECT * FROM tipoventa ORDER BY dsctipven DESC ";
                        $resultado = $mysqli->query($tipo) 
						?>
                        <?php
							while ($fila = $resultado->fetch_assoc()) { ?>
                        <option value="<?php echo  $fila["cdgtipven"]?>"><?php echo  $fila["dsctipven"]?></option>
                        <?php 
								} ?>
                      </select></td>
                      <td width="3%"><div align="center">Tipo</div></td>
                      <td width="8%"><select id="combotipocxp" name="combotipocxp" class="comboGrande"  onFocus="siguienteCampo ='kmsveh';">
                        <?php
						
					  	 $query_tipocxp="SELECT * FROM tipo_cxp ORDER BY cdgcxp ASC";
                        $result = $mysqli->query($query_tipocxp) 
						?>
                        <?php
							while ($fila = $result->fetch_assoc()) { ?>
                        <option value="<?php echo  $fila["cdgcxp"]?>"><?php echo  $fila["dsccxp"]?></option>
                        <?php 
								} ?>
                      </select></td>
                      <td width="5%"><div align="center">Fecha</div></td>
                      <td width="8%"><input NAME="fecfac"  type="text" class="cajaGrande" id="fecfac"  style='text-align:center;' value="<?php echo $hoy?>" onFocus="siguienteCampo ='fecpro', nombreForm ='formulario';"  maxlength="10"  onChange="comprobar_fechas()" ></td>
                      <td width="7%"><div align="center">Proceso</div></td>
                      <td width="9%"><input NAME="fecpro" type="text" class="cajaGrande" id="fecpro"  maxlength="10" style='text-align:center;' value="<?php echo $hoy?>" onFocus="siguienteCampo ='numfac', nombreForm ='formulario';"  onChange="comprobar_fechas()"  ></td>
                    </tr>
                    <tr>
                      <td width="3%"> Fact </td>
                      <td width	="8%"><input NAME="numfac"  autocomplete="off" type="text" class="cajaGrande" id="numfac" style='text-align:center;' onChange="validarfactura()" onFocus=" siguienteCampo ='subgra', nombreForm ='formulario';"></td>
                      <td width="3%">SubGra</td>
                      <td width="7%"><input name="subgra" type="text" autocomplete="off" class="cajaGrande" id="subgra" style='text-align:right;' onKeyPress="mascara(this,moneda) "  onBlur=" calcular_factura()" onFocus=" calcular_factura(), siguienteCampo ='subexe', nombreForm ='formulario';"></td>
                      <td width="3%">SubExe</td>
                      <td width="7%"><input name="subexe" type="text" autocomplete="off" class="cajaGrande" id="subexe" style='text-align:right;' onKeyPress="mascara(this,moneda) "  onBlur=" calcular_factura()" onFocus=" calcular_factura(), siguienteCampo ='desfactot', nombreForm ='formulario';"></td>
                      <td width="3%"> <div align="center">Desc. </div></td>
                      <td width="6%" colspan="2"><input name="desfactot" autocomplete="off" type="text" class="cajaGrande" id="desfactot" style='text-align:right;' onKeyPress="mascara(this,moneda) "  onBlur=" calcular_factura()"   onFocus=" calcular_factura(), siguienteCampo ='impfac', nombreForm ='formulario';"></td>
                      <td width="3%" align="right">I.V.A</td>
                      <td width="6%"><input name="impfac" type="text"  autocomplete="off" class="cajaGrande" id="impfac"  style='text-align:right;'  onKeyPress="mascara(this,moneda) " onBlur="  calcular_factura()"  onFocus=" calcular_factura(), siguienteCampo ='flefac', nombreForm ='formulario';"></td>
                      <td width="3%"><div align="center">Flete</div></td>
                      <td width="8%"><input name="flefac" type="text"  autocomplete="off" class="cajaGrande" id="flefac"  style='text-align:right;'  onKeyPress="mascara(this,moneda) " onBlur="calcular_factura()"   onFocus="calcular_factura(), siguienteCampo ='otrfac', nombreForm ='formulario';"></td>
                      <td width="5%"><div align="center">Otros</div></td>
                      <td width="8%"><input name="otrfac" type="text"   autocomplete="off" class="cajaGrande" id="otrfac"  style='text-align:right;' onKeyPress="mascara(this,moneda) "  onBlur=" calcular_factura()"  onFocus=" calcular_factura(), siguienteCampo ='subgra', nombreForm ='formulario';"></td>
                      <td width="7%"><div align="center">Total</div></td>
                      <td width="9%"><input name="totfac" type="text" class="cajaGrande" id="totfac" onChange=" calcular_factura()"  readonly=""  style='text-align:right;'onFocus="siguienteCampo ='cdgbar', nombreForm ='formulario';"></td>
                  </table>

			  <input id="baseimpuestos2" name="baseimpuestos" value="<?php echo $baseimpuestos?>" type="hidden">  

			  <input id="baseimponible2" name="baseimponible" value="<?php echo $baseimponible?>" type="hidden">
			  <input id="preciototal2" name="preciototal" value="<?php echo $preciototal?>" type="hidden">
			  <input id="accion" name="accion" value="alta" type="hidden">
				<input name="fecha2" type="hidden" class="cajaMedia" id="fecha2" size="10" maxlength="10" style='text-align:center;' value="<?php echo $nomb?>" readonly>
			
				</form>
				<form id="formulario_lineas" name="formulario_lineas" method="post" action="frame_lineas_barras.php" target="frame_lineas">
				  <table class="" width="148%"  border="0" ID="Table10" >
                    <input id="cliexe2" name="cliexe2" value="<?php echo $cliexe?>"  type="hidden" >
                    <input id="filas" name="filas" value="<?php echo $filas?>"  type="hidden" >
                    <input id="preciotot" name="preciotot" value="<?php echo $preciotot?>"  type="hidden" >
                    <tr>
                      <td   width="8%"><input name="cdgbar" type="text"  id="cdgbar"  class="cajaGrande"  onChange="validararticulo()"   autocomplete= "off"     onFocus="siguienteCampo ='cosart', nombreForm ='formulario_lineas';"  ></td>
                      <td   width="3%" ><img src="../img/search-b-icon (5).png" alt="2" width="32" height="32" title="Buscar articulos" onClick="ventanaArticulos()" onMouseOver="style.cursor=cursor"></td>

                      <input id="impuesto" name="impuesto" value="<?php echo $impuesto?>"  type="hidden">
                      <td   width="18%"><input name="dscart" type="text"id="dscart" class="cajaGrande" autocomplete= "off"  disabled=true onChange="actualizar_importe()"  ></td>
                      <input name="mondes" type="hidden" id="mondes">
                      <td   width="3%"><div align="right">Cto.</div></td>
                      <td   width="6%"><input name="cosart" type="text"  style='text-align:right;' id="cosart"  class="cajaGrande" onChange="actualizar_importe()" autocomplete= "off"   onFocus=" actualizar_importe(), siguienteCampo ='canart', nombreForm ='formulario_lineas';"    ></td>
                      <td width="4%"><div align="center">Cant.</div></td>
                      <td width="4%"><input name="canart" type="text"  style='text-align:center;' id="canart"  class="cajaGrande" value="1.00" autocomplete= "off"  onFocus=" siguienteCampo ='fin', nombreForm ='formulario_lineas';"  ></td>
                      <td width="4%">&nbsp;</td>
                      <td width="3%"><input name="desfac" type="hidden"  style='text-align:center;' id="desfac"  class="cajaGrande" autocomplete= "off"    value="0.00" onChange="actualizar_importe()"  onFocus=" actualizar_importe(), siguienteCampo ='despro', nombreForm ='formulario_lineas';"   ></td>
                      <td width="3%">&nbsp;</td>
                      <td width="3%"><input name="despro" type="hidden"  style='text-align:center;' id="despro"  class="cajaGrande" autocomplete= "off"     value="0.00" onChange="actualizar_importe()"  onFocus=" actualizar_importe(), siguienteCampo ='utiart1', nombreForm ='formulario_lineas';"  ></td>
					        <td width="3%"><input name="fleart" type="hidden"  style='text-align:center;' id="fleart"  class="cajaGrande" autocomplete= "off"     value="0.00" onChange="actualizar_importe()"  onFocus=" actualizar_importe(), siguienteCampo ='utiart1', nombreForm ='formulario_lineas';"  ></td>
                      <td width="3%">&nbsp;</td>
                      <td width="3%"><input name="utiart1" type="hidden"  style='text-align:center;' id="utiart1"  class="cajaGrande" value="0.00" onChange="actualizar_importe()" autocomplete= "off"   onFocus=" actualizar_importe(), siguienteCampo ='utiart2', nombreForm ='formulario_lineas';"  ></td>
                      <td width="3%">&nbsp;</td>
                      <td width="3%"><input name="utiart2" type="hidden"  style='text-align:center;' id="utiart2"  class="cajaGrande" value="0.00" onChange="actualizar_importe()" autocomplete= "off"   onFocus=" actualizar_importe(), siguienteCampo ='fin', nombreForm ='formulario_lineas';"  ></td>
                      <td width="4%">&nbsp;</td>
                      <td width="6%"><input name="importe" type="hidden"  id="importe"  value="0" style='text-align:right;'   class="cajaGrande" readonly></td>
                      <td width="4%"><img src="../img/Arrow-Down_32x32-32.png"  name="fin" width="32" height="32" border="0" id="fin" title="Agregar articulo" onClick="validar()" onMouseOver="style.cursor=cursor"></td>
                    </tr>
                  </table>
				   	<input name="PRE001" value="" type="hidden" id="PRE001">
					 <input name="PRE002" value="" type="hidden" id="PRE002">
					 <input name="descuento_factura" value="" type="hidden" id="descuento_factura">
					 <input name="descuento_producto" value="" type="hidden" id="descuento_producto">
					 <input name="impuesto_factura" value="" type="hidden" id="impuesto_factura">
					 <input name="impuesto_producto" value="" type="hidden" id="impuesto_producto">
				  	<input name="codarticulo" value="<?php echo $codarticulo?>" type="hidden" id="codarticulo">
					<input name="cob_iv"  id="cob_iv" value="" type="hidden">
					<input name="ivporc"  id="ivporc" value="" type="hidden">
					 <input name="cdglin" value="" type="hidden" id="cdglin">
					<input name="cdgfam" value="" type="hidden" id="cdgfam">
				</div>
				
			
			<table class="fuente8" width="100%" cellspacing=0 cellpadding=3 border=0 ID="Table1">
						<tr class="cabeceraTabla">
						
							<td width="10%"><span >CODIGO</span></td>
							<td width="11%"><span>CANTIDAD</span></td>
							<td width="31%"><span >DETALLE</span></td>
							<td width="8%"><span>COSTO</span></td>
							<td width="4%">FLETE</td>
							<td width="5%">UT1</td>
							<td width="8%">D.PRO</td>
							<td width="5%">PRECIO</td>
							<td width="9%"><span>D.FAC</span></td>
							<td width="9%"><span>MONTO</span></td>
						</tr>
				</table>
				<div id="lineaResultado2">
				  <iframe width="100%" height="370" id="frame_lineas" name="frame_lineas" frameborder="0">
                  <ilayer width="100%" height="310" id="frame_lineas" name="frame_lineas"></ilayer>
				  </iframe>
				</div>					
			  </div>
			  <div id="frmBusqueda" style="display:none">
				<table width="25%" border=0 align="right" cellpadding=3 cellspacing=0 class="fuente8">
			  <tr>
			    <td width="27%" class="busqueda">Sub-total</td>
				<td width="73%" align="right"><div align="center">
			      <input class="cajaTotales" name="baseimponible" type="text" id="baseimponible" size="12" value=0 align="right" readonly> 
		        </div></td>
			  </tr>
			  <tr>
				<td class="busqueda">IVA</td>
				<td align="right"><div align="center">
			      <input class="cajaTotales" name="baseimpuestos" type="text" id="baseimpuestos" size="12" align="right" value=0 readonly> 
		        </div></td>
			  </tr>
			  <tr>
				<td class="busqueda">Precio Total</td>
				<td align="right"><div align="center">
			      <input class="cajaTotales" name="preciototal" type="text" id="preciototal" size="12" align="right"  readonly> 
		        </div></td>
			  </tr>
		</table>
			  </div>
				<div id="botonBusquedaAWGP">					
				  <div align="center">
				    <img src="../img/Symbol-Check_48x48-32.png" name="boton" width="48" height="48" border="0" class="aCentro"  id="boton"    onClick=" validar_cabecera(); " onMouseOver="style.cursor=cursor"  >
					<img src="../img/Symbol-Delete_48x48-32.png" width="48" height="48" border="0" class="aCentro" onClick="cancelar()" onMouseOver="style.cursor=cursor">
				    <input id="codfamilia" name="codfamilia" value="<?php echo $codfamilia?>" type="hidden">
				    <input id="codfacturatmp" name="codfacturatmp" value="<?php echo $codfacturatmp?>" type="hidden">	
					<input id="preciototal" name="preciototal" value="<?php echo $preciototal?>" type="hidden">			    
			      </div>
				</div>
			  		<iframe id="frame_datos1" name="frame_datos1" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos1" name="frame_datos1"></ilayer>
					</iframe>
					<iframe id="frame_datos2" name="frame_datos2" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos2" name="frame_datos2"></ilayer>
					</iframe>
					
        			<iframe id="frame_datos3" name="frame_datos3" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos3" name="frame_datos3"></ilayer>
					</iframe>
			  </form>
		  </div>
    </div>
		</div>
	</body>
</html>





